##################################################################
#
#
# !!!!!!!! WARNING => THIS HAS TO BE EDITED IN THE CVS !!!!!!!!!!!
#
#
##################################################################

%define name park-rpmdrake
%define version 4.2.1
%define release %mkrel 1

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Source0: %name-%version.tar.bz2
Summary: Configure and update rpms on a park
Group: System/Configuration/Packaging
Summary: Mandriva Linux graphical front end for sofware installation/removal
BuildRequires: gettext perl-devel intltool
Requires: rsync scanssh perl-Expect rpmdrake
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Group: System/Configuration/Packaging
BuildArch: noarch
URL: http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/rpmdrake/

%description
Configure and update rpms on a park of hosts. The backend is parallel urpmi.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
make OPTIMIZE="$RPM_OPT_FLAGS -Wall" PREFIX=%{_prefix} INSTALLDIRS=vendor

%install
%makeinstall_std PREFIX=%buildroot/%{_prefix}

%find_lang park-rpmdrake

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post 
%update_menus
%update_icon_cache hicolor
%update_mime_database
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%clean_mime_database
%clean_desktop_database
%endif

%files -f park-rpmdrake.lang
%defattr(-, root, root)
%{_sbindir}/park-rpmdrake
%_datadir/applications/park-rpmdrake.desktop



%changelog
* Wed Apr 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 4.2.1-1mdv2009.1
+ Revision: 367440
- translation updates

* Mon Sep 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2-1mdv2009.0
+ Revision: 287077
- translation updates

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.1-3mdv2009.0
+ Revision: 255038
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.1-1mdv2008.1
+ Revision: 190160
- translation updates

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.0-2mdv2008.1
+ Revision: 136639
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.0-2mdv2008.0
+ Revision: 95733
- we really are noarch

* Mon Oct 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.0-1mdv2008.0
+ Revision: 95719
- fully translatable
- splited out of rpmdrake
- import park-rpmdrake


